Subject: Re: how to avoid mulitple definitions of STL free_list, start_fr
From: [email-masked]

12 Dec 1997 20:31:49 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: Mumit Khan <[email-masked]>, [email-masked],
        [email-masked]
Cc: [email-masked]

On  9 Dec 97 at 2:15,  Mumit Khan <[email-masked]> wrote:

> Now that my obligatory plug is out the way, the problem is that the older 
> versions of C++ front-end simply couldn't handle static template data 
> members properly, and hence the problem. I can suggest a few workarounds:
>    
>    1. Use -fno-implicit and instantiate everything yourself. I cover a bit
>       about explicit instantiation in my (now grossly outdated) STL Newbie
>       guide (URL below). This is the only portable (ie., something that'll
>       work on *all* platforms) way to do templates with gcc, even with the 
>       newest and greatest egcs release.
>    2. Comment out the default_alloc_template definition in alloc.h (or
>       whatever file it's in in $prefix/include/g++) and supply the
>       definition yourself in one of your object files.
>    3. Did I mention that you should upgrade your compiler ;-)
> 

Another alternative is the page "Portable STL - Note for GCC users", 
at
	http://www.metabyte.com/~fbp/stl/READ
-------------------
Hilton Fernandes
email: [email-masked]
       hilton@lsi
www:   http://www.lsi.usp.br/~hilton.html
M. Sc. Student of Parallel Distributed Applications
at LSI (Laboratory of Integrated Systems)
University of S. Paulo - Brazil
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".